DS.Model.reopen
  created_at: DS.attr('date')
  updated_at: DS.attr('date')
  eraseRecord: ->
    #@clearRelationships()
    @transitionTo('deleted.saved')
    @unloadRecord()
DS.Model.reopenClass
  findCached: (id)->
    return null unless id
    @store.all(@typeKey).findProperty('id', id)
